package ogloszenia.klient_proxy;

import org.jboss.resteasy.client.jaxrs.ResteasyClient;
import org.jboss.resteasy.client.jaxrs.ResteasyClientBuilder;
import org.jboss.resteasy.client.jaxrs.ResteasyWebTarget;

import ogloszenia.klient.Ustawienia;
import ogloszenia.model.ListaOgloszen;
import ogloszenia.model.Samochodowe;

/* W tej wersji używamy rozszerzenia konkretnej implementacji JAX-RS, RestEasy */

public class Klient41_Proxy {
	public static void main(String[] args) {
		ResteasyClient client = (ResteasyClient)ResteasyClientBuilder.newClient();
        ResteasyWebTarget target = client.target(Ustawienia.URI_SERWISU);
		
		IOgloszenia proxy = target.proxy(IOgloszenia.class);
		System.out.println("Wysyłam zapytanie");
		
		try {
			ListaOgloszen lista = proxy.odczytajWszystkie();
			
			System.out.println("Odczytałem " + lista.ogloszenia.size() + " ogłoszeń:");
			for(Samochodowe ogl : lista.ogloszenia) {
				System.out.println(ogl);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
